package com.oqpo.api.mapper.oper;


import com.oqpo.api.entity.oper.PopEntity;
import com.oqpo.api.web.dto.request.GridRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PopMapper {
    List<PopEntity> selectPopGridList(@Param("fromDt") String fromDt, @Param("toDt") String toDt, @Param("sPopNm") String sPopNm, GridRequest gridRequest)throws Exception;
    int selectPopGridCnt(@Param("fromDt") String fromDt, @Param("toDt") String toDt, @Param("sPopNm") String sPopNm) throws Exception;

    PopEntity selectPopInfo(@Param("popNo") String popNo) throws Exception;

    int insertPop(@Param("userId") String userId, PopEntity entity) throws Exception;
    int updatePop(@Param("userId") String userId, PopEntity entity) throws Exception;

    List<PopEntity> selectOpenPop(@Param("sViewTargetCd") String sViewTargetCd) throws Exception;
}
